%global         debug_package %{nil}
%global         mainver 0.8.4

Name:           gnome-do-plugins
Version:        %{mainver}
Release:        3%{?dist}.1
Summary:        Plugins for GNOME Do
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://do.davebsd.com/
Source0:        http://launchpad.net/do-plugins/trunk/%{mainver}/+download/%{name}-%{version}.tar.gz

# Fixes Thunderbird >= 3.0 contacts
Patch0:         gnome-do-plugins-thunderbird.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-glib-devel gnome-do-devel
BuildRequires:  gnome-sharp-devel gtk-sharp2-devel gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp-devel monodevelop mono-addins-devel
BuildRequires:  notify-sharp-devel gdata-sharp-devel
BuildRequires:  intltool
# Needed because a patch touches Makefile.am
#BuildRequires:  automake
Requires:       gnome-do >= %{version}

# ppc* not supported: needs monodevelop which is not built for ppc*
ExcludeArch:    ppc ppc64 sparc64

Obsoletes:      gnome-do-plugins-evolution < 0.8.4-1%{?dist}

%description
GNOME Do allows you to quickly search for many objects present in your
GNOME desktop environment (applications, Evolution contacts, Firefox
bookmarks, files, artists and albums in Rhythmbox, Pidgin buddies) and
perform commonly used commands on those objects (Run, Open, Email,
Chat, Play, etc.).

This package contains various plugins for GNOME Do.

%package banshee
Summary:        GNOME Do Banshee plugin
Group:          Applications/Productivity
BuildRequires:  banshee-devel
Requires:       banshee
Requires:       gnome-do-plugins = %{version}

%description banshee
GNOME Do plugin for Banshee

%package bibtex
Summary:        GNOME Do BibTeX plugin
Group:          Applications/Productivity
Requires:       gnome-do-plugins = %{version}

%description bibtex
GNOME Do plugin for BibTeX

%package clawsmail
Summary:        GNOME Do Claws Mail plugin
Group:          Applications/Productivity
Requires:       claws-mail
Requires:       gnome-do-plugins = %{version}

%description clawsmail
GNOME Do plugin for Claws Mail

%package epiphany
Summary:        GNOME Do Epiphany plugin
Group:          Applications/Productivity
Requires:       epiphany
Requires:       gnome-do-plugins = %{version}

%description epiphany
GNOME Do plugin for Epiphany

%package eog
Summary:        GNOME Do Eye of Gnome plugin
Group:          Applications/Productivity
Requires:       eog
Requires:       gnome-do-plugins = %{version}

%description eog
GNOME Do plugin for Eye of Gnome

%package firefox
Summary:        GNOME Do Firefox plugin
Group:          Applications/Productivity
Requires:       firefox
Requires:       gnome-do-plugins = %{version}

%description firefox
GNOME Do plugin for Firefox 

%package flickr
Summary:        GNOME Do Flickr plugin
Group:          Applications/Productivity
BuildRequires:  flickrnet-devel
Requires:       flickrnet
Requires:       gnome-do-plugins = %{version}

%description flickr
GNOME Do plugin for Flickr

%package google
Summary:        GNOME Do Google plugins
Group:          Applications/Productivity
BuildRequires:  gdata-sharp-devel
Requires:       gdata-sharp
Requires:       gnome-do-plugins = %{version}

%description google
GNOME Do's Google-related plugins that utilize GData

%package pidgin
Summary:        GNOME Do Pidgin plugin
Group:          Applications/Productivity
Requires:       pidgin
Requires:       gnome-do-plugins = %{version}

%description pidgin
GNOME Do plugin for Pidgin

%package qalculate
Summary:        GNOME Do Qalculate plugin
Group:          Applications/Productivity
Requires:       qalculate
Requires:       gnome-do-plugins = %{version}

%description qalculate
GNOME Do plugin for Qalculate

%package rhythmbox
Summary:        GNOME Do Rhythmbox plugin
Group:          Applications/Productivity
Requires:       rhythmbox
Requires:       gnome-do-plugins = %{version}

%description rhythmbox
GNOME Do plugin for Rhythmbox

%package tomboy
Summary:        GNOME Do Tomboy plugin
Group:          Applications/Productivity
Requires:       tomboy
Requires:       gnome-do-plugins = %{version}

%description tomboy
GNOME Do plugin for Tomboy 

%package thunderbird
Summary:        GNOME Do Thunderbird plugin
Group:          Applications/Productivity
Requires:       thunderbird
Requires:       gnome-do-plugins = %{version}

%description thunderbird
GNOME Do plugin for Thunderbird

%package tasque
Summary:        GNOME Do Tasque plugin
Group:          Applications/Productivity
Requires:       tasque
Requires:       gnome-do-plugins = %{version}

%description tasque
GNOME Do plugin for Tasque

%package vinagre
Summary:        GNOME Do Vinagre plugin
Group:          Applications/Productivity
Requires:       vinagre
Requires:       gnome-do-plugins = %{version}

%description vinagre
GNOME Do plugin for Vinagre


%prep
%setup -q
%patch0 -p1 -b .thunderbird
# build.rules.mk is imported into 70+ Makefile.in's
# by Makefile.am.  Run autoreconf to regenerate the
# Makefile.in's 
#autoreconf -i

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# We don't need these copied libraries
rm -rf %{buildroot}%{_datadir}/gnome-do/plugins/Banshee.CollectionIndexer.dll
rm -rf %{buildroot}%{_libdir}/gnome-do/plugins/Banshee.CollectionIndexer.dll

%find_lang %name

%clean
rm -rf %{buildroot}

%files banshee
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Banshee*

%files bibtex
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Bibtex*

%files clawsmail
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*ClawsMail*

%files epiphany
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Epiphany*

%files eog
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/EOG*

%files firefox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Firefox*

%files flickr
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Flickr*

%files google
%defattr(-, root, root, -)
%{_libdir}/gnome-do/plugins/GoogleCalendar*
%{_libdir}/gnome-do/plugins/GoogleContacts*
%{_libdir}/gnome-do/plugins/GoogleDocs*
%{_libdir}/gnome-do/plugins/YouTube*

%files pidgin
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Pidgin*

%files qalculate
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/Qalculate*

%files rhythmbox
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Rhythmbox*

%files tomboy
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Tomboy*

%files thunderbird
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Thunderbird*

%files tasque
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Tasque*

%files vinagre
%defattr(-, root, root,-)
%{_libdir}/gnome-do/plugins/*Vinagre*

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS COPYRIGHT
%exclude %{_libdir}/gnome-do/plugins/*Banshee*
%exclude %{_libdir}/gnome-do/plugins/*Bibtex*
%exclude %{_libdir}/gnome-do/plugins/*ClawsMail*
%exclude %{_libdir}/gnome-do/plugins/*Epiphany*
%exclude %{_libdir}/gnome-do/plugins/EOG*
%exclude %{_libdir}/gnome-do/plugins/*Firefox*
%exclude %{_libdir}/gnome-do/plugins/*Flickr*
%exclude %{_libdir}/gnome-do/plugins/GoogleCalendar*
%exclude %{_libdir}/gnome-do/plugins/GoogleContacts*
%exclude %{_libdir}/gnome-do/plugins/GoogleDocs*
%exclude %{_libdir}/gnome-do/plugins/*Pidgin*
%exclude %{_libdir}/gnome-do/plugins/Qalculate*
%exclude %{_libdir}/gnome-do/plugins/*Rhythmbox*
%exclude %{_libdir}/gnome-do/plugins/*Tomboy*
%exclude %{_libdir}/gnome-do/plugins/*Thunderbird*
%exclude %{_libdir}/gnome-do/plugins/*Tasque*
%exclude %{_libdir}/gnome-do/plugins/*Vinagre*
%exclude %{_libdir}/gnome-do/plugins/YouTube*
%{_libdir}/gnome-do/plugins/*

%changelog
* Sun Nov 20 2011 Christian Krause <chkr@fedoraproject.org> - 0.8.4-3.1
- Rebuilt against new banshee 2.2.1 (again)

* Sun Nov 20 2011 Christian Krause <chkr@fedoraproject.org> - 0.8.4-3
- Rebuilt against new banshee 2.2.1

* Fri Jul 15 2011 Theodore Lee <theo148@gmail.com> - 0.8.4-2
- Obsolete Evolution plugin

* Tue Jun 28 2011 Theodore Lee <theo148@gmail.com> - 0.8.4-1
- Update to 0.8.4 release
- Add Qalculate subpackage
- Remove Evolution plugin (dropped upstream)
- Fix subpackage descriptions and summaries
- Enable GData plugins
- Get rid of copied Banshee libraries completely

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 21 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.2.1-1
- Updates to 0.8.2.1
- Fixes gnome-do-plugins-thunderbird for Thunderbird 3.0

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.8.2-3
- ExcludeArch ppc ppc64 sparc64

* Fri Aug 21 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.2-2
- Enable building of GData-based plugins
- Simplify spec file

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Thu Jul 30 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-7
- Fixes evolution plugin

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-5
- Fixes bibtex dependency

* Thu Jul 16 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-4
- Subpackages now require gnome-do-plugins.  

* Thu Jul 16 2009 Toshio Kuratomi<toshio@fedoraproject.org> 0.8.1-3
- Patch to get plugins to install to %%{_libdir}
- Remove bundled libraries

* Wed Jul 15 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-2
- Cleaned spec from tabs
- Updated license to GPLv3+
- Requires: gnome-do 
- gnome-do-plugins no longer owns the plugins folder

* Thu Jun 18 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.1-1
- Bump to upstream 0.8.1
- Removed patch0 as its no longer needed

* Mon Apr 06 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> 0.8.0.1-1
- Bump to upstream 0.8.0.1
- Split into sub-rpms for individual plugins
- Add patch for 0.8.0.1 to built.
- Some changes for packaging standard compliance

* Mon Feb 24 2009 Paul Lange <palango@gmx.de> 0.8.0-1
- Initial packaging

